## org.apache.fop.datatypes
Class Keep

    java.lang.Object
      |
      +--org.apache.fop.datatypes.Keep

public class Keep
extends java.lang.Object
implements CompoundDatatype

XSL FO Keep Property datatype (keep-together, etc)

Constructor Summary
`Keep()`

Method Summary
`Property` `getComponent(java.lang.String sCmpnName)`
`Property` `getWithinColumn()`
`Property` `getWithinLine()`
`Property` `getWithinPage()`
`void` `setComponent(java.lang.String sCmpnName, Property cmpnValue, boolean bIsDefault)`
`protected void` `setWithinColumn(Property withinColumn, boolean bIsDefault)`
`void` `setWithinLine(Property withinLine, boolean bIsDefault)`
`void` `setWithinPage(Property withinPage, boolean bIsDefault)`
`java.lang.String` `toString()` What to do here?? There isn't really a meaningful single value.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Keep

    public Keep()

Method Detail

### setComponent

    public void setComponent(java.lang.String sCmpnName,
                             Property cmpnValue,
                             boolean bIsDefault)

  Specified by:
    setComponent in interface CompoundDatatype

### getComponent

    public Property getComponent(java.lang.String sCmpnName)

  Specified by:
    getComponent in interface CompoundDatatype

### setWithinLine

    public void setWithinLine(Property withinLine,
                              boolean bIsDefault)

### setWithinColumn

    protected void setWithinColumn(Property withinColumn,
                                   boolean bIsDefault)

### setWithinPage

    public void setWithinPage(Property withinPage,
                              boolean bIsDefault)

### getWithinLine

    public Property getWithinLine()

### getWithinColumn

    public Property getWithinColumn()

### getWithinPage

    public Property getWithinPage()

### toString

    public java.lang.String toString()

  What to do here?? There isn't really a meaningful single value.
  Overrides:
    toString in class java.lang.Object

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.